Skip to main content
GET
/
v2
/
entity-field-mappings
List Entity Field Mappings
curl --request GET \
  --url https://public.api.serval.com/v2/entity-field-mappings \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "ingestionConfigId": "<string>",
      "internalFieldId": "<string>",
      "externalFieldPath": "<string>",
      "priority": 123,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

entityTypeId
string

The entity type whose field mappings to list (required).

ingestionConfigId
string

Optionally narrow to mappings drawn from a single ingestion config.

Response

Success

data
EntityFieldMapping · object[]

The field mappings for the entity type.